Deel. PayAndBill API

Welcome to the Deel. PayAndBill API documentation. Our API allows you to access your employee and customer data to integrate with your business environment. You can also push data into PayAndBill from third-party systems.

Base URLs

All API requests should be made to one of the following base URLs depending on your environment:

EnvironmentBase URL
Production<Yet to decide>
Staging<Yet to decide>

Use the Staging base URL when testing or developing your integration. Switch to Production only when you are ready to go live.

Quick Start

To start using the Deel. PayAndBill API:

1

Get your credentials

Register your application and obtain your clientId and clientSecret.

2

Authenticate

Use the OAuth Authorization endpoint to initiate the authorization flow, then exchange the code for an access token via the OAuth Token Exchange endpoint.

3

Make API requests

Include the access token as a Bearer token in the Authorization header of all subsequent requests.

$curl -X GET https://<client>.pb.deel.com/employees/list \
> -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
> -H "Accept: application/json"

Available Resources

The API currently provides access to the following resources:

Headers

Most endpoints require the following headers in addition to the Authorization bearer token:

HeaderRequiredDescription
AuthorizationYesBearer YOUR_ACCESS_TOKEN
AcceptRecommendedapplication/json
vnd.a1.tenant-idDependsTenant identifier for multi-tenant environments